// BUFGCE_DIV: General Clock Buffer with Divide Function
//             Versal AI Core series
// Xilinx HDL Language Template, version 2023.2

BUFGCE_DIV #(
   .BUFGCE_DIVIDE(1),             // 1-8
   // Programmable Inversion Attributes: Specifies built-in programmable inversion on specific pins
   .IS_CE_INVERTED(1'b0),         // Optional inversion for CE
   .IS_CLR_INVERTED(1'b0),        // Optional inversion for CLR
   .IS_I_INVERTED(1'b0),          // Optional inversion for I
   .SIM_DEVICE("VERSAL_AI_CORE")  // VERSAL_AI_CORE, VERSAL_AI_CORE_ES1
)
BUFGCE_DIV_inst (
   .O(O),     // 1-bit output: Buffer
   .CE(CE),   // 1-bit input: Buffer enable
   .CLR(CLR), // 1-bit input: Asynchronous clear
   .I(I)      // 1-bit input: Buffer
);

// End of BUFGCE_DIV_inst instantiation
