// FDPE: D Flip-Flop with Clock Enable and Asynchronous Preset
//       Versal AI Core series
// Xilinx HDL Language Template, version 2023.2

FDPE #(
   .INIT(1'b1),            // Initial value of register, 1'b0, 1'b1
   // Programmable Inversion Attributes: Specifies the use of the built-in programmable inversion
   .IS_C_INVERTED(1'b0),   // Optional inversion for C
   .IS_D_INVERTED(1'b0),   // Optional inversion for D
   .IS_PRE_INVERTED(1'b0)  // Optional inversion for PRE
)
FDPE_inst (
   .Q(Q),     // 1-bit output: Data
   .C(C),     // 1-bit input: Clock
   .CE(CE),   // 1-bit input: Clock enable
   .D(D),     // 1-bit input: Data
   .PRE(PRE)  // 1-bit input: Asynchronous preset
);

// End of FDPE_inst instantiation
