// IBUFDS_IBUFDISABLE: Differential Input Buffer With Input Buffer Disable
//                     Versal AI Core series
// Xilinx HDL Language Template, version 2023.2

IBUFDS_IBUFDISABLE #(
   .SIM_DEVICE("VERSAL_AI_CORE"), // Set the device version for simulation functionality (VERSAL_AI_CORE,
                                  // VERSAL_AI_CORE_ES1)
   .USE_IBUFDISABLE("TRUE")       // Enable/Disable the IBUFDISABLE pin (FALSE, TRUE, T_CONTROL)
)
IBUFDS_IBUFDISABLE_inst (
   .O(O),                     // 1-bit output: Buffer output
   .I(I),                     // 1-bit input: Diff_p buffer input (connect directly to top-level port)
   .IB(IB),                   // 1-bit input: Diff_n buffer input (connect directly to top-level port)
   .IBUFDISABLE(IBUFDISABLE)  // 1-bit input: Buffer input disable, high=disable
);

// End of IBUFDS_IBUFDISABLE_inst instantiation
