// IOBUFDS_DIFF_OUT_DCIEN: Differential Bidirectional Buffer with Complementary Outputs, Input Path Disable, and On-die Input Termination Disable
//                         Versal AI Core series
// Xilinx HDL Language Template, version 2023.2

IOBUFDS_DIFF_OUT_DCIEN #(
   .SIM_DEVICE("VERSAL_AI_CORE")  // Set the device version for simulation functionality (VERSAL_AI_CORE,
                                  // VERSAL_AI_CORE_ES1)
)
IOBUFDS_DIFF_OUT_DCIEN_inst (
   .O(O),                           // 1-bit output: Buffer diff_p output
   .OB(OB),                         // 1-bit output: Buffer diff_n output
   .DCITERMDISABLE(DCITERMDISABLE), // 1-bit input: DCI Termination Disable
   .I(I),                           // 1-bit input: Buffer input
   .IBUFDISABLE(IBUFDISABLE),       // 1-bit input: Must be tied to a logic '0'
   .IO(IO),                         // 1-bit inout: Diff_p inout (connect directly to top-level port)
   .IOB(IOB),                       // 1-bit inout: Diff_n inout (connect directly to top-level port)
   .TM(TM),                         // 1-bit input: 3-state master enable input
   .TS(TS)                          // 1-bit input: 3-state slave enable input
);

// End of IOBUFDS_DIFF_OUT_DCIEN_inst instantiation
