// IOBUF_INTERMDISABLE: Bidirectional Buffer with Input Path Disable and On-die Input Termination Disable
//                      Versal AI Core series
// Xilinx HDL Language Template, version 2023.2

IOBUF_INTERMDISABLE #(
   .SIM_DEVICE("VERSAL_AI_CORE"), // Set the device version for simulation functionality (VERSAL_AI_CORE,
                                  // VERSAL_AI_CORE_ES1)
   .USE_IBUFDISABLE("TRUE")       // Enable/Disable the IBUFDISABLE pin (FALSE, TRUE)
)
IOBUF_INTERMDISABLE_inst (
   .O(O),                         // 1-bit output: Buffer output
   .I(I),                         // 1-bit input: Buffer input
   .IBUFDISABLE(IBUFDISABLE),     // 1-bit input: Buffer disable input, high=disable
   .INTERMDISABLE(INTERMDISABLE), // 1-bit input: Input Termination Disable
   .IO(IO),                       // 1-bit inout: Buffer inout (connect directly to top-level port)
   .T(T)                          // 1-bit input: 3-state enable input
);

// End of IOBUF_INTERMDISABLE_inst instantiation
